// <r> <g> <b> <intensity> <degrees> <elevation>

//****************************************************//
//									//
//	comablack.shader for Quake III			//
//	by Amethyst7 - 02.28.2002				//
//									//
//****************************************************//

textures/ut4_denton/comablack/skybox
{
	qer_editorimage textures/ut4_denton/comablack/comablack
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 1.00 150 90 90
	q3map_surfacelight 75
	skyparms env/ut4_denton/comablack/comablack - -
}

// Ladder Clip

textures/ut4_denton/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
		surfaceparm trans
}

// Custom Clips
textures/ut4_denton/clip_metal
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}

textures/ut4_denton/clip_wood
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}

textures/ut4_denton/clip_stone
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 

textures/ut4_denton/darkglass
{
    qer_trans .5
    surfaceparm trans

    cull none
    {
        map textures/ut4_denton/tinfx.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
    map $lightmap
    blendFunc gl_dst_color gl_zero
    rgbgen identity
    }
}

textures/ut4_denton/shop_glass
{
    qer_trans .5
    surfaceparm trans
	
    cull none
    {
        map textures/ut4_denton/tinfx_shops.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
    map $lightmap
    blendFunc gl_dst_color gl_zero
    rgbgen identity
    }
}

// 	Plain glass

textures/ut4_denton/plainglass
{
	qer_trans .5
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_denton/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

//Mirror
textures/ut4_denton/mirror
{
	qer_editorimage textures/ut4_denton/mirror.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/ut4_denton/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

// Lights

textures/ut4_denton/baslt4_1_2k
{
	qer_editorimage textures/ut4_denton/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 200
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_denton/baslt4_1_4k
{
	qer_editorimage textures/ut4_denton/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_denton/light1_1500
{
	qer_editorimage textures/ut4_denton/tub_uplight1.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/tub_uplight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/tub_uplight1.blend.tga
		//rgbGen wave sin 0.5 0.5 0 3
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_denton/r_subwaylight2_1000
{
	qer_editorimage textures/ut4_denton/r_subwaylight2_512.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/r_subwaylight2_512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/r_subwaylight_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_denton/hazard_light
{
	qer_editorimage textures/ut4_denton/hazard_light.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/hazard_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/hazard_light_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_denton/corona_white
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut4_denton/corona_white.tga
            blendFunc GL_ONE GL_ONE
          }
}

//shop signs

textures/ut4_denton/wings

{
	qer_editorimage textures/ut4_denton/wings.tga
	q3map_surfacelight 500
//light 1
// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/wings.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/wings.tga
		blendfunc GL_ONE GL_ONE
	}
}


//vending machines

textures/ut4_denton/merc_vend1
{
	qer_editorimage textures/ut4_denton/merc_vend1.tga
	q3map_surfacelight 100

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/merc_vend1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/merc_vend1.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/ut4_denton/merc_vend2
{
	qer_editorimage textures/ut4_denton/merc_vend2.tga
	q3map_surfacelight 100

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/merc_vend2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/merc_vend2.tga
		blendfunc GL_ONE GL_ONE
	}
}

// flame (sinni)
textures/ut4_denton/flame1
{

	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	q3map_surfacelight 500
	

	{
		animMap 10 textures/ut4_denton/flame1_01.tga textures/ut4_denton/flame1_04.tga textures/ut4_denton/flame1_08.tga textures/ut4_denton/flame1_12.tga textures/ut4_denton/flame1_16.tga textures/ut4_denton/flame1_20.tga textures/ut4_denton/flame1_24.tga textures/ut4_denton/flame1_28.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_denton/flame1_04.tga textures/ut4_denton/flame1_08.tga textures/ut4_denton/flame1_12.tga textures/ut4_denton/flame1_16.tga textures/ut4_denton/flame1_20.tga textures/ut4_denton/flame1_24.tga textures/ut4_denton/flame1_28.tga textures/ut4_denton/flame1_01.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_denton/flameball2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

//Road Markings (riches textures)

textures/ut4_denton/yellowstripe1
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
 	nopicmip
	nomipmaps
   { 
    map textures/ut4_denton/yellowstripe1.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaFunc GE128
    depthWrite
    rgbGen identity
    }
    {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
    }
}
textures/ut4_denton/roadmarking1
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
 	nopicmip
	nomipmaps
   { 
    map textures/ut4_denton/roadmarking1.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaFunc GE128
    depthWrite
    rgbGen identity
    }
    {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
    }
}
textures/ut4_denton/roadmarking2
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
 	nopicmip
	nomipmaps
   { 
    map textures/ut4_denton/roadmarking2.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaFunc GE128
    depthWrite
    rgbGen identity
    }
    {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
    }
}
textures/ut4_denton/carpark1
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
 	nopicmip
	nomipmaps
   { 
    map textures/ut4_denton/carpark1.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaFunc GE128
    depthWrite
    rgbGen identity
    }
    {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
    }
}




//Posters & signs
 
textures/ut4_denton/dangerkeepout01ba
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/ut4_denton/dangerkeepout01ba.jpg
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/ut4_denton/fs_sign_02
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/ut4_denton/fs_sign_02.jpg
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/ut4_denton/circus_tlog
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/ut4_denton/circus_tlog.jpg
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/ut4_denton/poster_tlog
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/ut4_denton/poster_tlog.jpg
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/ut4_denton/poster_camels
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/ut4_denton/poster_camels.jpg
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/ut4_denton/poster_hamm
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/ut4_denton/poster_hamm.jpg
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}

textures/ut4_denton/poster_rings
{ 
   	surfaceparm nonsolid
   	polygonOffset 
        sort 6
   { 
      map textures/ut4_denton/poster_rings.jpg
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex 
      alphaGen vertex
   } 
}


textures/ut4_denton/ranger_flag
{
	surfaceparm alphashadow
    deformVertexes wave 194 sin 0 3 0 .4
    deformVertexes normal .5 .1
    cull none
    nopicmip

    {
    map textures/ut4_denton/ranger_flag.jpg
    //tcMod scale 1 1
    blendFunc GL_ONE GL_ZERO
    alphaFunc GE128
    depthWrite
    rgbGen identity
    }
    {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
    }
}

textures/ut4_denton/exit1
{
	qer_editorimage textures/ut4_denton/exit1.tga
	q3map_surfacelight 1000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/exit1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/exit1.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_denton/exit2
{
	qer_editorimage textures/ut4_denton/exit2.tga
	q3map_surfacelight 1000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_denton/exit2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_denton/exit2.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Smoke (sn_smoke)

textures/ut4_denton/sn_smoke_1
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 62.176163 18.118620 201.354507 sawtooth 0 1 0.159093 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.159093 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.159093 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.159093 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_2
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -11.067406 23.376049 232.918533 sawtooth 0 1 0.850246 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.850246 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.850246 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.850246 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_3
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 30.608385 28.035795 181.584595 sawtooth 0 1 0.743736 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.743736 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.743736 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.743736 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_4
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -3.652960 37.605453 186.072220 sawtooth 0 1 0.071291 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.071291 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.071291 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.071291 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_5
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -31.647577 -2.305557 209.313828 sawtooth 0 1 0.348308 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.348308 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.348308 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.348308 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_6
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -19.125212 -51.723347 220.138092 sawtooth 0 1 0.134098 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.134098 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.134098 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.134098 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_7
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -51.918331 -11.363953 182.965820 sawtooth 0 1 0.745750 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.745750 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.745750 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.745750 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_8
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 27.481987 -43.711773 179.219803 sawtooth 0 1 0.570147 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.570147 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.570147 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.570147 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_9
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -7.107234 -3.622560 242.171875 sawtooth 0 1 0.759270 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.759270 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.759270 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.759270 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_10
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 32.397430 24.648092 196.883987 sawtooth 0 1 0.097903 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.097903 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.097903 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.097903 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_11
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 2.449380 -7.157488 163.772339 sawtooth 0 1 0.932371 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.932371 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.932371 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.932371 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_12
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -10.471498 24.947435 236.487961 sawtooth 0 1 0.731376 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.731376 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.731376 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.731376 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_13
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 34.487537 1.301751 167.187958 sawtooth 0 1 0.006684 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.006684 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.006684 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.006684 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_14
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 24.979378 14.938464 239.522018 sawtooth 0 1 0.010010 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.010010 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.010010 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.010010 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_15
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 6.067596 -5.994448 216.573029 sawtooth 0 1 0.622791 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.622791 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.622791 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.622791 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_16
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -5.197036 -47.611763 222.287628 sawtooth 0 1 0.994629 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.994629 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.994629 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.994629 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_17
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 5.842004 -7.359597 166.783157 sawtooth 0 1 0.214057 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.214057 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.214057 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.214057 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_18
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -2.809277 -5.152948 172.474701 sawtooth 0 1 0.720664 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.720664 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.720664 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.720664 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_19
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -52.813969 -7.692190 210.652634 sawtooth 0 1 0.262764 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.262764 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.262764 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.262764 0.100000
blendfunc blend
}
}

textures/ut4_denton/sn_smoke_20
{
qer_editorimage textures/ut4_denton/sn_smoke.tga
surfaceparm noimpact
//surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -16.522011 -17.389490 222.943481 sawtooth 0 1 0.679678 0.100000
{
clampmap textures/ut4_denton/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.679678 0.100000
rgbGen wave sawtooth 1.000000 0.000000 0.679678 0.100000
tcMod stretch sawtooth 1.000000 0.000000 0.679678 0.100000
blendfunc blend
}
}



