//===================
//Map Texture Shaders
//===================


// Sky
textures/vypla_gungste/ciel
{
	qer_editorimage textures/vypla_gungste/ciel.tga

	q3map_globaltexture
	q3map_sunExt .88 .72 .46 500 0 60 2 64
	//q3map_sunExt .88 .72 .46 500 0 -58 2 64
	q3map_lightmapFilterRadius 0 32
	q3map_skylight 900 3


	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact

	skyparms env/dd_casa_sky - -
	nopicmip
	nomipmaps
}

// Glass
textures/vypla_gungste/glass
{
	qer_editorimage textures/vypla_gungste/glass.tga
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/vypla_gungste/ciel-reflect.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}


textures/vypla_gungste/ladderclip
{
	qer_editor_image textures/vypla_gungste/ladderclip.tga
        qer_trans .4
        surfaceparm nolightmap
	surfaceparm trans
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm ladder
}

textures/vypla_gungste/sw_fence
{
	qer_editor_image textures/vypla_gungste/sw_fence.tga
	qer_trans .4
	cull disable
	{
		map textures/vypla_gungste/sw_fence.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/vypla_gungste/jantes
{
	qer_editor_image textures/vypla_gungste/jantes.tga
	qer_trans .4
	cull disable
	{
		map textures/vypla_gungste/jantes.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



textures/vypla_gungste/blue_water1
{
	qer_editorimage textures/vypla_gungste/blue_water1.tga
	qer_nocarve
	qer_trans .3
	surfaceparm noimpact
	surfaceparm water
	deformvertexes wave 1024 sin 0 1 0 .75
	tesssize 1024
	{
		map textures/vypla_gungste/blue_water1c.tga
		blendfunc filter
		tcMod scroll 0.03 0.03
		tcMod turb 1 0.1 1 0.025
	}

        {
		map textures/vypla_gungste/water_clouds.jpg
		blendfunc gl_one gl_dst_color
		tcMod scroll 0.02 0.01
		tcMod scale 0.5 0.5
        }

}

textures/vypla_gungste/blue_water2
{
	qer_editorimage textures/vypla_gungste/blue_water2.tga
	qer_nocarve
	qer_trans .3
	surfaceparm noimpact
	surfaceparm water
	deformvertexes wave 1024 sin 0 1 0 .75
	tesssize 1024
	{
		map textures/vypla_gungste/blue_water2c.tga
		blendfunc filter
		tcMod scroll 0.03 0.03
		tcMod turb 1 0.1 1 0.025
	}

        {
		map textures/vypla_gungste/water_clouds02.jpg
		blendfunc gl_one gl_dst_color
		tcMod scroll 0.02 0.01
		tcMod scale 0.5 0.5
        }

}

textures/vypla_gungste/nodrawwater
{
	qer_editorimage textures/vypla_gungste/nodrawwater.tga
	qer_trans .5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/vypla_gungste/waterfog
{
	qer_editorimage textures/vypla_gungste/waterfog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( .6 .66 .68 ) 180
	qer_trans .5
}